html {
  scroll-behavior: smooth;
}

/* ----------------------------- */
/* Bienvenidos                   */
/* ----------------------------- */

.bienvenidos-section {padding: 60px 20%;}

.bienvenidos-section .container {display: flex;gap: 30px;}

.bienvenidos-section .columna {flex: 1;}

.bienvenidos-section .columna.imagen {flex: 1;}

.bienvenidos-section .columna.contenido {flex: 2;}

.bienvenidos-section .columna.imagen img {width: 100%;height: auto;aspect-ratio: 1/1;object-fit: cover;border-radius: 10px;}

.bienvenidos-section h1,.bienvenidos-section h2 {text-align:left;color:#141478;}

/* Lista de ítems */

.items-container {display: flex;flex-wrap: wrap;gap: 20px;}

.items-container .item {
    flex: 1 1 calc(33% - 20px);
    text-align: center;
    padding: 20px;
    background-color: #f9f9f9;
    border-radius: 10px;
    transition: transform 0.3s ease, box-shadow 0.3s ease;
}

.items-container .item:hover {transform: translateY(-5px);box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);}

.items-container .item i {font-size: 24px;color: #141474;margin-bottom: 10px;}

.items-container .item span {display: block;}

/* Estilos Responsive */

@media (max-width: 768px) {
    .bienvenidos-section {
        padding: 60px 10%;
    }

    .bienvenidos-section .container {
        flex-direction: column;
    }

    .bienvenidos-section .columna.imagen {
        display: flex;
        justify-content: center;
        align-items: center;
    }

    .bienvenidos-section .columna.imagen img {
        width: 100%;
        max-width: 300px;
        height: auto;
        aspect-ratio: 1/1;
        border-radius: 10px;
    }

    .items-container .item {
        flex: 1 1 calc(50% - 10px);
    }

    #bienvenidos p {
        text-align: justify;
    }
}

/* ----------------------------- */
/* Servicios                     */
/* ----------------------------- */

.servicios-section {
    padding: 60px 20%;
    background-image: url('../img/bg-02.jpg');
}

.servicios-grid {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 30px;
    margin-top: 20px;
    margin-bottom: 40px;
}

.servicio-item {
    background: #f9f9f9;
    border-radius: 10px;
    overflow: hidden;
    box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.1);
    transition: transform 0.3s ease;
}

.servicio-item:hover {
    transform: translateY(-5px);
}

.servicio-item img {
    width: 100%;
    height: auto;
    display: block;
    border-radius: 10px 10px 0 0;
    padding: 10px;
}

.servicio-item h2 {
    font-size: 18px;
    padding: 15px;
    color: #141474;
    text-align: center;
}

/* Estilos Responsive */

@media (max-width: 992px) {
    .servicios-grid {grid-template-columns: repeat(2, 1fr);gap:20px;}
}

@media (max-width: 768px) {
    .servicios-section {
        padding: 60px 10%;
    }

    .servicios-grid {
        grid-template-columns: repeat(2, 1fr);
    }
}

@media (max-width: 600px) {
    .servicios-grid {
        grid-template-columns: 1fr;
    }
}

/* ----------------------------- */
/* Portafolio                    */
/* ----------------------------- */

.portafolio-section {
    padding: 60px 20%;
    background-image: url('../img/bg-01.jpg');
    background-size: cover;
    background-attachment: fixed;
    background-position: center;
    text-align: center;
}

.portafolio-section p {color:#ffffff;}

.portafolio-grid {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 30px;
    margin-top: 20px;
    margin-bottom: 40px;
}

.portafolio-grid a {
    overflow: hidden;
    border-radius: 10px;
    transition: opacity 0.3s ease;
}

.portafolio-grid a:hover {opacity: 0.8;}

.portafolio-grid img {
    width: 100%;
    height: auto;
    display: block;
    border-radius: 10px;
}

.portafolio-item {display: none;}

.portafolio-item:nth-child(-n+6) {display: block;}

/* Estilos Responsive */

@media (max-width: 992px) {
    .portafolio-grid {grid-template-columns: repeat(2, 1fr);gap:20px;}
}

@media (max-width: 768px) {
    .portafolio-section {
        padding: 60px 10%;
    }

    .portafolio-grid {
        grid-template-columns: repeat(2, 1fr);
    }
}

@media (max-width: 600px) {
    .portafolio-grid {
        grid-template-columns: 1fr;
    }

    .portafolio-grid a {
        flex: 1 1 100%;
    }
}

/* ----------------------------- */
/* Cursos                       */
/* ----------------------------- */

.cursos-section {
    padding: 60px 20%;
    background-image: url('../img/slide-01.jpg');
    background-size: cover;
    background-attachment: fixed;
    background-position: center;
    text-align: center;
    position: relative;
}

.cursos-section::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #141478;
    opacity: 0.8;
    z-index: 0;
}

.cursos-content {
    position: relative;
    z-index: 1;
}

.cursos-section p {
    color: #ffffff;
}

.cursos-grid {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 30px;
    margin-top: 20px;
    margin-bottom: 40px;
}

.cursos-item {
    background: #f9f9f9;
    border-radius: 10px;
    overflow: hidden;
    box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.1);
    transition: transform 0.3s ease;
}

.cursos-item a {
    text-decoration: none;
    color: inherit;
    display: block;
}

.cursos-item:hover {
    transform: translateY(-5px);
}

.cursos-item img {
    width: 100%;
    height: auto;
    display: block;
    border-radius: 10px 10px 0 0;
    filter: grayscale(100%);
    transition: filter 0.3s ease;
}

.cursos-item:hover img {
    filter: grayscale(0%);
}

.cursos-item h2 {
    font-size: 18px;
    padding: 15px 5px;
    margin-bottom: 0;
}

/* Estilos Responsive */

@media (max-width: 992px) {
    .cursos-grid {
        grid-template-columns: repeat(2, 1fr);
        gap: 20px;
    }
}

@media (max-width: 768px) {
    .cursos-section, .titulo {
        padding: 60px 10%;
    }

    .cursos-grid {
        grid-template-columns: repeat(2, 1fr);
    }
}

@media (max-width: 600px) {
    .cursos-grid {
        grid-template-columns: 1fr;
    }
}